Page MenuHomePhabricator

[clangd][cmake] Provide libatomic when there is no native support for 64bit atomics
ClosedPublic

Authored by sdardis on Mar 8 2018, 4:57 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

sdardis created this revision.Mar 8 2018, 4:57 AM

lgtm

(Please add reviewers to your patch if you intend it to be reviewed.)

clangd/CMakeLists.txt
7 ↗(On Diff #137555)

nit: s/atomic/"atomic"/

ioeric accepted this revision.Mar 19 2018, 4:38 AM
This revision is now accepted and ready to land.Mar 19 2018, 4:38 AM

Thanks, I wasn't sure who to add as a reviewer.

Thanks, I wasn't sure who to add as a reviewer.

Authors/reviewers of recent patches for the same files are usually good approximations :)

This revision was automatically updated to reflect the committed changes.

This appears to be adding atomic on macOS builds, which shouldn't be happening:

https://hydra.nixos.org/build/88290234/

HAVE_CXX_ATOMICS64_WITHOUT_LIB is never being set.

Herald added a project: Restricted Project. · View Herald TranscriptFeb 9 2019, 10:42 AM
jfb added a comment.Feb 9 2019, 11:34 AM

This appears to be adding atomic on macOS builds, which shouldn't be happening:

https://hydra.nixos.org/build/88290234/

HAVE_CXX_ATOMICS64_WITHOUT_LIB is never being set.

Odd. macOS should always have 64-bit atomic support on x86-64 as well as ARM64.